Method: ragDataSchemas.batchCreate

Full name: projects.locations.ragCorpora.ragDataSchemas.batchCreate

Batch Create one or more RagDataSchemas

Endpoint

post https://{service-endpoint}/v1beta1/{parent}/ragDataSchemas:batchCreate

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

parent string

Required. The resource name of the RagCorpus to create the RagDataSchemas in. Format: projects/{project}/locations/{location}/ragCorpora/{ragCorpus}

Request body

The request body contains data with the following structure:

Fields
requests[] object (CreateRagDataSchemaRequest)

Required. The request messages for VertexRagDataService.CreateRagDataSchema. A maximum of 500 schemas can be created in a batch.

Response body

If successful, the response body contains an instance of Operation.

CreateRagDataSchemaRequest

Request message for VertexRagDataService.CreateRagDataSchema.

Fields
parent string

Required. The resource name of the RagCorpus to create the RagDataSchema in. Format: projects/{project}/locations/{location}/ragCorpora/{ragCorpus}

ragDataSchema object (RagDataSchema)

Required. The RagDataSchema to create.

ragDataSchemaId string

Optional. The id to use for the RagDataSchema, which will become the final component of the RagDataSchema's resource name if the user chooses to specify. Otherwise, RagDataSchema id will be generated by system.

This value should be up to 63 characters, and valid characters are /[a-z][0-9]-/. The first character must be a letter, the last could be a letter or a number.

JSON representation
{
  "parent": string,
  "ragDataSchema": {
    object (RagDataSchema)
  },
  "ragDataSchemaId": string
}